Subject: Offline Message from Ghazal Badr: I just placed an order 100162042 and it say
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 21 Jun 2020 03:09:37 -0000

From: Ghazal Badr <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/contact-us/
Department: 

I just placed an order 100162042 and it says it will be shipped on 8 of july !!!
Why does it take 18 days to be shipped ?? And then delays with the carier another delay !!! And i will have my order after one month????????? I dont accept that !!!! I alredy have a pending shipment 100129115 with your carelesness  from three months!! And when i send you for the refund all what you do is ignore me!!! I will raise a complaint to the ministry of trade regarding you taking customers money and ignoring their emails because you dont want to refund their money!!! For your company Its easy to take the money but hard to refund it after your failure of choosing a good carier!! 
I dont accept my new shipment 100162042 to be shiped after 18 days!!!! Prossing the order does not take that long !!! 

----
Zopim
https://www.zopim.com